module UHC.Light.Compiler.ConfigInternalVersions
( InternalVersionHI, InternalVersionCore
, internalVersionHI, internalVersionCore )
where

{-# LINE 13 "src/ehc/ConfigInternalVersions.chs" #-}
-- | Encoding of internal version
type InternalVersion = Int

type InternalVersionHI 		= InternalVersion
type InternalVersionCore 	= InternalVersion

mkInternalVersion :: Int -> InternalVersion
mkInternalVersion = id

{-# LINE 24 "src/ehc/ConfigInternalVersions.chs" #-}
-- | For binary/serialized HI .hi files and all data stored there
internalVersionHI = mkInternalVersion 1

-- | For binary/serialized Core .cr/.bcr etc files
internalVersionCore = mkInternalVersion 14

